<html>
<head>
<title>OGRE: Ogre::WindowEventListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1WindowEventListener.html">WindowEventListener</a></div>
<h1>Ogre::WindowEventListener Class Reference</h1><!-- doxytag: class="Ogre::WindowEventListener" -->Callback class used to send out window events to client app  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1WindowEventListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#908a45e8cf9e3c5f35988abed57b12da">~WindowEventListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#bf7a3cb2023860d55367c9ed337d386c">windowMoved</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Window has moved position  <a href="#bf7a3cb2023860d55367c9ed337d386c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#87d8fa99072dfdb5d3b0b26a7cfd0120">windowResized</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Window has resized  <a href="#87d8fa99072dfdb5d3b0b26a7cfd0120"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#d18f2f48f1d6f501b05ffd9e9a782590">windowClosed</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Window has been closed  <a href="#d18f2f48f1d6f501b05ffd9e9a782590"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WindowEventListener.html#8a1cf8cba40a4b84db339ccb02c0bf3c">windowFocusChange</a> (<a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *rw)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Window has lost/gained focuw  <a href="#8a1cf8cba40a4b84db339ccb02c0bf3c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Callback class used to send out window events to client app 
<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h-source.html#l00048">48</a> of file <a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="908a45e8cf9e3c5f35988abed57b12da"></a><!-- doxytag: member="Ogre::WindowEventListener::~WindowEventListener" ref="908a45e8cf9e3c5f35988abed57b12da" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::WindowEventListener::~WindowEventListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h-source.html#l00051">51</a> of file <a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="bf7a3cb2023860d55367c9ed337d386c"></a><!-- doxytag: member="Ogre::WindowEventListener::windowMoved" ref="bf7a3cb2023860d55367c9ed337d386c" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::WindowEventListener::windowMoved           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&nbsp;</td>
          <td class="paramname"> <em>rw</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Window has moved position 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rw</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h-source.html#l00059">59</a> of file <a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="87d8fa99072dfdb5d3b0b26a7cfd0120"></a><!-- doxytag: member="Ogre::WindowEventListener::windowResized" ref="87d8fa99072dfdb5d3b0b26a7cfd0120" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::WindowEventListener::windowResized           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&nbsp;</td>
          <td class="paramname"> <em>rw</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Window has resized 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rw</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h-source.html#l00067">67</a> of file <a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d18f2f48f1d6f501b05ffd9e9a782590"></a><!-- doxytag: member="Ogre::WindowEventListener::windowClosed" ref="d18f2f48f1d6f501b05ffd9e9a782590" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::WindowEventListener::windowClosed           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&nbsp;</td>
          <td class="paramname"> <em>rw</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Window has been closed 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rw</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h-source.html#l00075">75</a> of file <a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8a1cf8cba40a4b84db339ccb02c0bf3c"></a><!-- doxytag: member="Ogre::WindowEventListener::windowFocusChange" ref="8a1cf8cba40a4b84db339ccb02c0bf3c" args="(RenderWindow *rw)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::WindowEventListener::windowFocusChange           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&nbsp;</td>
          <td class="paramname"> <em>rw</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Window has lost/gained focuw 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rw</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> which created this events </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreWindowEventUtilities_8h-source.html#l00083">83</a> of file <a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWindowEventUtilities_8h-source.html">OgreWindowEventUtilities.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:12 2008
</p>
</body>
</html>
